Name: H5Pget_small_data_block_size
Signature:
  herr_t `H5Pget_small_data_block_size`(hid_t `fapl_id`, hsize_t *`size` )
Purpose:
  Retrieves the current small data block size setting.
Description:
  `H5Pget_small_data_block_size` retrieves the current setting for the size of the small data block.

  If the returned value is zero (`0`), the small data block mechanism has been disabled for the file.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
hsize_t *`size` | OUT: Maximum size, in bytes, of the small data block.

Returns:
  Returns a non-negative value if successful; otherwise a negative value.
Fortran90 Interface: h5pget_small_data_block_size_f

      SUBROUTINE h5pget_small_data_block_size_f(plist_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id  ! File access property list
                                                ! identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: size   ! Small raw data block size
        INTEGER, INTENT(OUT)       :: hdferr    ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_small_data_block_size_f

History:

Release | C
1.4.4 | Function introduced in this release.